// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

import { Environment } from "@kangaroo-and-rabbit/kar-cw";

const serverBaseAddress = 'http://atria-soft.org'
const serverSSOAddress = `${serverBaseAddress}/karso`
//const serverSSOAddress = 'http://localhost:4200'

const environment_back_prod: Environment = {
	production: false,
	// URL of development API
	applName: "karideo",
	defaultServer: "karideo",
	server: {
		karideo: `${serverBaseAddress}/karideo/api`,
		karso: `${serverSSOAddress}/api`,
	},
	ssoSite: `${serverSSOAddress}/`,
	ssoSignIn: `${serverSSOAddress}/signin/karideo-dev/`,
	ssoSignUp: `${serverSSOAddress}/signup/karideo-dev/`,
	ssoSignOut: `${serverSSOAddress}/signout/karideo-dev/`,
	tokenStoredInPermanentStorage: false,
};

const environment_local: Environment = {
	production: false,
	// URL of development API
	applName: "karideo",
	defaultServer: "karideo",
	server: {
		karideo: 'http://localhost:18080/karideo/api',
		karso: `${serverSSOAddress}/api`,
	},
	ssoSite: `${serverSSOAddress}/`,
	ssoSignIn: `${serverSSOAddress}/signin/karideo-dev/`,
	ssoSignUp: `${serverSSOAddress}/signup/karideo-dev/`,
	ssoSignOut: `${serverSSOAddress}/signout/karideo-dev/`,
	tokenStoredInPermanentStorage: false,
	replaceDataToRealServer: true,
};

const environment_hybrid: Environment = {
	production: false,
	// URL of development API
	applName: "karideo",
	defaultServer: "karideo",
	server: {
		karideo: `${serverBaseAddress}/karideo/api`,
		karso: `${serverSSOAddress}/api`,
	},
	ssoSite: `${serverSSOAddress}/`,
	ssoSignIn: `${serverSSOAddress}/signin/karideo-dev/`,
	ssoSignUp: `${serverSSOAddress}/signup/karideo-dev/`,
	ssoSignOut: `${serverSSOAddress}/signout/karideo-dev/`,
	tokenStoredInPermanentStorage: false,
};


export const environment = environment_local;

